Loading...
Searching...
No Matches
l4re_env_t Struct Reference

Initial environment data structure. More...

`#include <env.h>`

Collaboration diagram for l4re_env_t:

## Data Fields

l4_cap_idx_t | parent
| Parent object-capability.
l4_cap_idx_t | rm
| Region map object-capability.
l4_cap_idx_t | mem_alloc
| Memory allocator object-capability.
l4_cap_idx_t | log
| Logging object-capability.
l4_cap_idx_t | main_thread
| Object-capability of the first user thread.
l4_cap_idx_t | factory
| Object-capability of the factory available to the task.
l4_cap_idx_t | scheduler
| Object capability for the scheduler set to use.
l4_cap_idx_t | itas
| ITAS services object-capability.
l4_cap_idx_t | dbg_events
| Object-capability of the debug events service.
l4_cap_idx_t | first_free_cap
| First capability index available to the application.
l4_fpage_t | utcb_area
| UTCB area of the task.
l4_addr_t | first_free_utcb
| First UTCB within the UTCB area available to the application.
l4re_env_cap_entry_t * | caps
| Pointer to the first entry in the initial objects array which contains l4re_env_cap_entry_t elements.

## Detailed Description

Initial environment data structure.

See also
  Initial environment

Definition at line 98 of file env.h.

## Field Documentation

## caps

l4re_env_cap_entry_t* l4re_env_t::caps

Pointer to the first entry in the initial objects array which contains l4re_env_cap_entry_t elements.

The array is terminated by an invalid entry with a flags value of ~0ul.

Definition at line 117 of file env.h.

The documentation for this struct was generated from the following file:

- l4/re/env.h